src/main/java/bean/GastoBean.java
/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package bean;

import java.io.Serializable;
import java.util.List;
import java.util.Locale;

import javax.inject.Inject;

import DAO.GastoJpaController;
import DAO.LocalJpaController;
import DAO.ProjetoJpaController;
import DAO.UsuarioJpaController;
import DAO.exceptions.NonexistentEntityException;
import jsfAnnotation.SessionModel;
import modelo.Gasto;
import modelo.Local;
import modelo.Projeto;
import modelo.Usuario;


/**
 *
 * @author Emm
 */
@SessionModel
public class GastoBean implements Serializable {
    
	private static final long serialVersionUID = -6640908587320073526L;
	
	
	private Gasto gasto = new Gasto();
	
	@Inject
	private LoginBean lf;

	private Gasto gastoEditado = new Gasto();

	private Local local = new Local();

	private Usuario usuario = new Usuario();

    @Inject
    private LocalJpaController localDAO;
    
    @Inject
    private ProjetoJpaController projetoDAO;
    
    @Inject
    private UsuarioJpaController usuarioDAO;
    
    private int projetoID;
    private int localID;
    private int IDUsuarioPesquisado;
    private List<Gasto> listaGastosFiltrados;
    private boolean houveErro = false;
    private List<Gasto> listaGastosTotais;
    private double gastosFiltrados;
    private double gastosTotais;

    
    private GastoJpaController gastoDAO;
    
    
    @Inject
    public GastoBean(GastoJpaController gastoDAO) {
		super();
		this.gastoDAO = gastoDAO;
	}

	public List<Gasto> getListaGastosFiltrados() {
        return listaGastosFiltrados;
    }

    public void setListaGastosFiltrados(List<Gasto> listaGastosFiltrados) {
        this.listaGastosFiltrados = listaGastosFiltrados;
    }


    public List<Gasto> getListaGastosTotais() {
        
          
          if (lf.verificaPrivilegio()) {

        	  this.listaGastosTotais = gastoDAO.listaGastosByConsultaSQL();
        	  
        	  
          }else {
        	  
        	  
        	  this.listaGastosTotais = gastoDAO.listaGastosByUsuarioLogado(lf.getUsuario().getIdUsuario());
          }
       
        return listaGastosTotais;
        
    }

    public void setListaGastosTotais(List<Gasto> listaGastosTotais) {
        this.listaGastosTotais = listaGastosTotais;
    }

    public double getGastosFiltrados() {
     
        return this.gastosFiltrados;
    }

    public void setGastosFiltrados(double gastosFiltrados) {
        this.gastosFiltrados = gastosFiltrados;
    }
    

    

    public int getProjetoID() {
        return projetoID;
    }

    public void setProjetoID(int projetoID) {
        this.projetoID = projetoID;
    }



    public Usuario getUsuario() {
        return usuario;
    }

    public void setUsuario(Usuario usuario) {
        this.usuario = usuario;
    }

   
    
  
    public double getGastosTotais() {
        
        return this.gastosTotais;
    }

    public void setGastosTotais(double gastosTotais) {
        this.gastosTotais = gastosTotais;
    }


    public int getLocalID() {
        return localID;
    }

    public void setLocalID(int localID) {
        this.localID = localID;
    }
    
    



    public Local getLocal() {
        return local;
    }

    public void setLocal(Local local) {
        this.local = local;
    }

    public Gasto getGasto() {
        return gasto;
    }

    public void setGasto(Gasto gasto) {
        this.gasto = gasto;
    }
    
    /**
     * Creates a new instance of GastoBean
     */
    public GastoBean() {
    }
    
    
    public void mostraMensagemErro(String message){
        
    this.setHouveErro(true);
    lf.apresentaMensagemErro(message);
    
    }
    
    
    
  
    
    public void adicionarGasto() throws NonexistentEntityException, Exception{
    
        boolean gravado = false;
        
        if (gastoDAO.findGasto(gasto.getId_gasto()) == null) {
      	
        	if(this.gasto.getLocal()==null & gasto.getUsuario()==null){
          	
          	String mensagem1 = null;
               mensagem1 = "HOUVE UM PROBLEMA E O GASTO NÃO FOI GRAVADO POIS "
                       + "O LOCAL E/OU USUÁRIO ESTÃO NULOS";

               lf.apresentaMensagemErro("gravaGasto", mensagem1);
          
               gravado =  gastoDAO.create(this.gasto);
      	  
        }else if(gastoDAO.findGasto(this.gasto.getId_gasto()) != null) {
        	
        	gastoDAO.edit(this.gasto);
        	
        }

        
        String mensagem = null;
           
               
        if  (!gravado){
            mensagem = "HOUVE UM PROBLEMA E O GASTO NÃO FOI GRAVADO";
            lf.apresentaMensagemErro("gravaGasto", mensagem);
        }else {
            
            mensagem = "O GASTO FOI GRAVADO COM SUCESSO";
            lf.apresentaMensagemErro(mensagem);
              }
        this.listaGastosTotais = getListaGastosTotais();            
        this.gasto = new Gasto();
        }
    }
        
    
        public void gravaLocal(){
        
        this.local = localDAO.findLocal(localID);
        this.gasto.setLocal(local);
                    
        }
    
        public List<Local> selecionaLocais(){
            
           
            List<Local> listaLocais =  localDAO.findLocalEntities();
            
            return listaLocais;
        }
        
        
        public List<Projeto> selecionaProjetos(){
            
            List<Projeto> listaProjetos = projetoDAO.findProjetoEntities();
            return listaProjetos;
        }
        
        
           public List<Usuario> selecionaUsuarios(){
            

           
            List<Usuario> listaUsuarios =  usuarioDAO.findUsuarioEntities();
            
            return listaUsuarios;
        }
           
             public void gravaUsuario(){
            
            this.usuario = usuarioDAO.findUsuario(getIDUsuarioPesquisado());
            gasto.setUsuario(usuario);
        }
             

             
             
             public void editaGasto() throws Exception{
                 
                 boolean possuiPrivilegio = lf.verificaPrivilegio();
                 
                 if(possuiPrivilegio){
 
                 }else {
            
            String mensagem = "DESCULPE, MAS VOCÊ NÃO TEM PRVILÉGIO DE ADMINISTRADOR PARA EXECUTAR ESTA AÇÃO!";
            lf.apresentaMensagemErro("editaGasto", mensagem);
               }
                 
             }
             
             
             /*
             Estou recebendo neste método um gasto como parâmetro que está 
             vindo do dataTable. Ou seja, este gasto que vem como parâmetro é 
             a variável item lá do dataTable.
             
             Uma outra foma de editar seria carregar os datos modificados no 
             objeto gastoEditado desta classe aqui, através de um elemento 
             
                <h:commandButton value="SALVAR GASTO EDITADO" 
                             action="#{gastoBean.salvarGastoEditado()}"
                             rendered="#{gastoBean.canEdit}">
                             
                <f:setPropertyActionListener target="#{gastoBean.gastoEditado}"
             value="#{item}"/> 
          
            </h:commandButton>
             
             Neste caso eu não passaria o item como parâmetro do método salvarGastoEditado().
             
             */
            public void salvarGastoEditado() throws Exception{
                
                /*Só é necessário se eu não utilizar o 
                <f:setPropertyActionListener /> no dataTable
                Só que neste caso tenho que passar a variável do dataTable (que 
                é um Gasto, ou seja, um item da lista de gastos carregada) 
                como parâmetro do método.
                
                this.gastoEditado = gasto; 
                 */
                
                 boolean possuiPrivilegio = lf.verificaPrivilegio();
                 
                 if(possuiPrivilegio & this.getGastoEditado() != null){
                this.gasto = this.gastoEditado;
                adicionarGasto();
                this.listaGastosTotais = getListaGastosTotais();            
               }
                
                
            }
        
        
             public void deletaGasto() throws NonexistentEntityException{
                 
                 boolean possuiPrivilegio = lf.verificaPrivilegio();
                 
                 if(possuiPrivilegio & this.gasto != null){
                 
                 gastoDAO.destroy(this.gasto.getId_gasto());
                 this.gastosTotais = 0;
    
                 }
                 
             }
        
        
             
             
             
         // http://respostas.guj.com.br/9399-primefaces-datatable-listener-para-calculo-apos-filtro
        //        https://groups.google.com/forum/#!topic/javasf/24reJNQo-eQ  

 /*   public void filterListener(){
        
             for (Gasto gasto : this.listaGastosFiltrados){
                
                this.gastosFiltrados += gasto.getValorGasto();
                
            }
       }

/*
        public void calcularTotaisFiltrados(List<Gasto> listaGastosFiltrada){
            
            for (Gasto gasto : this.listaGastosFiltrados){
                
                this.gastosFiltrados += gasto.getValorGasto();
                
            }
            
        }
     */  
        
        
    public boolean valorEhMenor(Object valorColuna, Object filtroDigitado, Locale locale) { //java.util.Locale
   
         //tirando espaços do filtro
        String textoDigitado = (filtroDigitado == null) ? null : filtroDigitado.toString().trim();

        System.out.println("Filtrando pelo " + textoDigitado + ", Valor do elemento: " + valorColuna);

        // o filtro é nulo ou vazio?

src/main/java/bean/ProjetoBean.java
/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package bean;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

import javax.inject.Inject;

import DAO.ProjetoJpaController;
import jsfAnnotation.SessionModel;
import modelo.Projeto;

/**
 *
 * @author Emm
 */
@SessionModel
public class ProjetoBean implements Serializable{

    /**
	 * 
	 */
	private static final long serialVersionUID = 8173294256756299119L;

	/**
     * Creates a new instance of ProjetoBean
     */
    public ProjetoBean() {
    }
    
    private Projeto projeto = new Projeto();

    @Inject
    ProjetoJpaController projetoDAO;
    
    public Projeto getProjeto() {
        return projeto;
    }

    public void setProjeto(Projeto projeto) {
        this.projeto = projeto;
    }
    
    
    public void criarNovoProjeto(){
        
        this.projeto.setAtivo(true);
        projetoDAO.create(this.projeto);
        
    }
    
    
    public List<Projeto> listaProjetos(){
        
    List<Projeto> listaProjetos = new ArrayList();
    
    listaProjetos = projetoDAO.findProjetoEntities();
    return listaProjetos;
        
    }
    
    
    
    
    
    
    
}

src/main/java/bean/TemaBean.java
package bean;

import java.io.Serializable;

import jsfAnnotation.ApplicationModel;

@ApplicationModel
public class TemaBean implements Serializable{
	
	private static final long serialVersionUID = -4710007662726637635L;

	
	private String tema = "vader";

	public String getTema() {
		return tema;
	}

	public void setTema(String tema) {
		this.tema = tema;
	}
	
	public String[] getTemas() {
		return new String[]{"afterdark","afternoon","afterwork","aristo",
			"black-tie","blitzer","bluesky","bootstrap","casablanca",
			"cupertino","cruze","dark-hive","delta","dot-luv","eggplant",
			"excite-bike","flick","glass-x","home","hot-sneaks",
			"humanity","le-frog","midnight","mint-choc","overcast",
			"pepper-grinder","redmond","rocket","sam","smoothness",
			"south-street","start","sunny","swanky-purse","trontastic",
			"ui-darkness","ui-lightness","vader"};
	}
	

}

src/main/java/bean/UsuarioBean.java
/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package bean;

import java.io.Serializable;
import java.util.List;

import javax.inject.Inject;

import DAO.PapelJpaController;
import DAO.UsuarioJpaController;
import DAO.exceptions.NonexistentEntityException;
import jsfAnnotation.SessionModel;
import modelo.Papel;
import modelo.Usuario;
import util.CriptografaSenha;

/**
 *
 * @author Emm
 */
@SessionModel
public class UsuarioBean implements Serializable{

    
	private static final long serialVersionUID = -7444696162507993250L;

	/**
     * Creates a new instance of UsuarioBean
     */
    public UsuarioBean() {
    }
    
    private Usuario usuario = new Usuario();
    
    private Integer idPapel;
    
    private Papel papel = new Papel();

    private LoginBean lf = new LoginBean();

    @Inject
    private PapelJpaController papelDAO;

    @Inject
    private UsuarioJpaController usuarioDAO;

    @Inject
    private CriptografaSenha criptoSenha;
    
    private boolean canEdit = false;

    public boolean isCanEdit() {
        return canEdit;
    }

    public void setCanEdit(boolean canEdit) {
        this.canEdit = canEdit;
    }

    public Papel getPapel() {
        return papel;
    }

    public void setPapel(Papel papel) {
        this.papel = papel;
    }

    public Usuario getUsuario() {
        return usuario;
    }

    public void setUsuario(Usuario usuario) {
        this.usuario = usuario;
    }

    public Integer getIdPapel() {
        return idPapel;
    }

    public void setIdPapel(Integer idPapel) {
        this.idPapel = idPapel;
    }
    
    
    public List<Papel> listaPapeis(){
       
        boolean possuiPrivilegio = false;
        boolean possuiPrivilegioSuper = false;
        possuiPrivilegio = lf.verificaPrivilegio();
        possuiPrivilegioSuper = lf.verificaPrivilegioSuperAdmin();
        
        if(possuiPrivilegio & !possuiPrivilegioSuper){
       
      
       return papelDAO.findPapelMenosSuper();
        
    }else if(possuiPrivilegioSuper){
        
       return papelDAO.findPapelEntities();
    }else {
        return null;
    }
        
    }
    

    
    public void criarNovoUsuario() throws Exception{
        
         boolean possuiPrivilegio = false;
         possuiPrivilegio = lf.verificaPrivilegio();
        
        if(possuiPrivilegio){
            
        this.papel = papelDAO.findPapel(this.idPapel); 
        this.usuario.setPapel(this.papel);
            

         String senhaCriptografada = criptoSenha.convertStringToMd5(this.usuario.getPassword());
         this.usuario.setPassword(senhaCriptografada);
         if(usuarioDAO.findByLogin(this.usuario.getLogin()) == null){
                 usuarioDAO.create(this.usuario);
                 this.usuario =  new Usuario();
         }else {
                      usuarioDAO.edit(this.usuario);
                      this.usuario =  new Usuario();
                      this.canEdit = false;

         }
            
            
            
        }else return;
 
         
    }
    
    
    public List<Usuario> listaUsuarios(){
         return usuarioDAO.findUsuarioEntities();
    }
    
    public void deletaUsuario(Usuario usuario) throws NonexistentEntityException{
         usuarioDAO.destroy(usuario.getIdUsuario());
        
    }
    
    public void editaUsuario(){
        
        boolean possuiPrivilegio = false;
        possuiPrivilegio = lf.verificaPrivilegio();
        if(possuiPrivilegio){
            this.canEdit = true;
        }else return;
    
    }
    
    
    public void cancelarEdicao(){
        
           this.canEdit = false;
           this.usuario = new Usuario();
        
    
    }
        
        
        /*
        http://respostas.guj.com.br/20826-problema-ao-tentar-setpropertyactionlistener-do-jsf-para-editar-datagrid
        
        O que eu vou te falar é muito sério, mais detalhes, só com consultoria Nunca use setPropertyActionListener

<h:commandLink value="Alterar" update=":formCliente" immediate="true">
                        <f:setPropertyActionListener value="#{cliente}"
                            target="#{clienteBean.cliente}" />
                    </h:commandLink>
faça assim

<p:commandLink value="Alterar" update=":formCliente" immediate="true" action="#{clienteBean.cliente(cliente)}"/>
        
no seu objeto faça o método que recebe o objeto cliente*/
     public void salvarUsuarioEditado() throws Exception{
        
        boolean possuiPrivilegio = false;
        possuiPrivilegio = lf.verificaPrivilegio();
        this.canEdit = false;
        
        if(possuiPrivilegio & this.usuario != null){
                 
                    criarNovoUsuario();
        
        }else {
            return;
        }
        
        this.usuario = new Usuario();
        this.canEdit = false;
    }
    
    
    
}

src/main/webapp/restricted/_template.xhtml
<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
	xmlns:h="http://xmlns.jcp.org/jsf/html"
	xmlns:f="http://xmlns.jcp.org/jsf/core"
	xmlns:p="http://primefaces.org/ui"
	xmlns:ui="http://xmlns.jcp.org/jsf/facelets">

	<h:head>
     <!--   <h:outputStylesheet library="css" name="tabelas.css" /> -->
        <meta http-equiv="content-type" content="text/html;charset=utf-8" />  
        <link type="text/css" rel="stylesheet" href="/ControleFinanceiro/style/estilos.css" />
        	
        </h:head>
        
        
    <header>
     <div class="container" >
         <h1> <ui:insert name="titulo"></ui:insert> </h1>
   </div>
    </header>
         
        
    <h:body style="background-color: black">
		<div id="cabecalho" style="background-color: black">
                    
                    <p:growl id="growl" showDetail="true" autoUpdate="true" class="mensagens-erro"/>
                    <p:messages  class="mensagens-erro"> </p:messages>
                    <h:panelGrid columns="2" >
                            <h:form rendered="#{loginFilter.permiteAcesso}" style="position:absolute; right: 10px;">
		            <p:themeSwitcher id="basic" style="width:165px" value="#{temaBean.tema}">
			            <p:outputLabel value="Escolha o tema"  />
			            <f:selectItems value="#{temaBean.temas}" var="tema" itemLabel="#{tema}" itemValue="#{tema}" />
			            <f:ajax />
			        </p:themeSwitcher>
				</h:form>
			</h:panelGrid>
			    
			  <!--  <p:growl id="messages" showDetail="true" autoUpdate="true"/>-->
			
                  <h:form  rendered="#{loginFilter.mostra}">
                  <p:menuButton value="MENU" style="color:black">
                  <p:menuitem value="Gastos" action="/restricted/gastos?faces-redirect=true"  icon="fa fa-fw fa-pencil-square-o"/>
                  <p:menuitem value="Locais" action="#{loginFilter.redirecionaLocais()}" icon="fa fa-fw- fa-pencil-square-o"/>
                  <p:menuitem value="Projetos" action="#{loginFilter.redirecionaProjetos()}" icon="fa fa-fw fa-bar-chart"/>
                  <p:menuitem value="Usuarios" action="#{loginFilter.redirecionaUsuarios()}" icon="fa fa-fw fa-bar-chart"/>
		  <p:menuitem value="Gráficos" action="#{loginFilter.redirecionaGraficos()}" icon="fa fa-fw fa-bar-chart"/>
		 
                  <p:separator />
                  <p:menuitem value="Logout" action="#{loginFilter.logout()}" icon="fa fa-fw fa-sign-out"/>
                  </p:menuButton>
		  </h:form>
						
			<!--<h1>
				<ui:insert name="titulo"></ui:insert>
			</h1>-->
		</div>
            <p:growl />
	
		<div id="conteudo">
			<ui:insert name="conteudo">
			</ui:insert>
		</div>
	</h:body>

</html>

src/main/webapp/restricted/graficos.xhtml
<?xml version="1.0" encoding="UTF-8"?>
<!--
To change this license header, choose License Headers in Project Properties.
To change this template file, choose Tools | Templates
and open the template in the editor.
-->
<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://xmlns.jcp.org/jsf/html" 
      xmlns:f="http://xmlns.jcp.org/jsf/core" 
      xmlns:p="http://primefaces.org/ui" 
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets">
    
  
  
	<h:head>
     <!--   <h:outputStylesheet library="css" name="tabelas.css" /> -->
        <meta http-equiv="content-type" content="text/html;charset=utf-8" />  
        <link type="text/css" rel="stylesheet" href="/ControleFinanceiro/style/estilos.css" />
        	
        </h:head>
    
   <header>
     <div class="container" >
         <h1> GRÁFICOS </h1>
   </div>
    </header>

    <h:body style="background-color: black">
           
        
        <form>
            
            <h:commandButton action="#{chartView.init()}"/>
        </form>
        
        <h:panelGrid  style="width:100%"> 
                   
    <p:chart type="line" model="#{chartView.animatedModel1}" style="width:400px;" />
   </h:panelGrid>
		
    
 
   </h:body>
  </html>

src/main/webapp/restricted/locais.xhtml
<?xml version="1.0" encoding="UTF-8"?>
<!--
To change this license header, choose License Headers in Project Properties.
To change this template file, choose Tools | Templates
and open the template in the editor.
-->
<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://xmlns.jcp.org/jsf/html" 
      xmlns:f="http://xmlns.jcp.org/jsf/core" 
      xmlns:p="http://primefaces.org/ui" 
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets">
    
  
    <h:head>
        <title>CONTROLE DE LOCAIS</title>
      
     <!--   <h:outputStylesheet library="css" name="tabelas.css" /> -->
        <link type="text/css" rel="stylesheet" href="/ControleFinanceiro/style/estilos.css" />
        	
    </h:head>
    
    

   <ui:composition template="/restricted/_template.xhtml">
          
       
              
         <ui:define name="titulo">
			<p:outputPanel> CONTROLE DE LOCAIS </p:outputPanel>
		</ui:define>

   <ui:define name="conteudo"> 
          
        <p:messages class="mensagens-erro"/> 
          
          
          <h:form id="adicionaLocal">
              <p:fieldset legend="CADASTRO DE LOCAL">
         <h:panelGrid columns="2">
          
          <h:outputLabel value="NOME DO LOCAL" for="nome" />
          <h:inputText id="nome" value="#{localBean.local.nome}" required="true"
                             requiredMessage="Nome do local é obrigatório!!!"
                             validatorMessage="Nome não pode ser superior a 40">
                    <f:validateLength maximum="40" />
            </h:inputText>
           
               <p:fieldset legend ="GRAVAR PROJETO NO LOCAL">
               <h:outputLabel value="SELECIONE O PROJETO A QUE O LOCAL ESTÁ RELACIONADO" for="projeto" />
               <h:selectOneMenu value="#{localBean.projetoID}" >
                   <f:selectItems  value="#{localBean.listaProjetos()}" var="projeto"
                                itemLabel="#{projeto.nome}" itemValue="#{projeto.id_projeto}" />
                </h:selectOneMenu>
              <h:commandButton id="gravaProjeto" value="GRAVA PROJETO"  action="#{localBean.gravaProjetoNoLocal()}">
                 
              </h:commandButton>    
                </p:fieldset>
             
          <h:commandButton id="criarLocal" value="CRIAR NOVO LOCAL"  action="#{localBean.criaNovoLocal()}">
              </h:commandButton>
         </h:panelGrid>
            </p:fieldset>
        </h:form>
 

        
    <f:view>
     <h:form>
         <p:dataTable id="tabelaLocais" value="#{localBean.listaLocais()}" var="item">
             <f:facet name="header">LOCAIS CADASTRADOS</f:facet>
             <p:column headerText="ID DO LOCAL">
                <h:outputText value="#{item.id_local}"/>
             </p:column>
             <p:column headerText="NOME">
                 <h:outputText value="#{item.nome}"/>
             </p:column>
             <p:column headerText="PROJETO">
                 <h:outputText value="#{item.projeto.nome}"/>
             </p:column>
         </p:dataTable>
     </h:form>
 </f:view>

 
 
   </ui:define>
   </ui:composition>
        </html>

src/main/webapp/restricted/projetos.xhtml
<?xml version="1.0" encoding="UTF-8"?>
<!--
To change this license header, choose License Headers in Project Properties.
To change this template file, choose Tools | Templates
and open the template in the editor.
-->
<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://xmlns.jcp.org/jsf/html" 
      xmlns:f="http://xmlns.jcp.org/jsf/core" 
      xmlns:p="http://primefaces.org/ui" 
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets">
    
  
   <h:head>
        <title>CONTROLE DE PROJETOS</title>
      
     <!--   <h:outputStylesheet library="css" name="tabelas.css" /> -->
        <link type="text/css" rel="stylesheet" href="/ControleFinanceiro/style/estilos.css" />
        	
    </h:head>
    
    

   <ui:composition template="/restricted/_template.xhtml">
          
       
              
         <ui:define name="titulo">
			<p:outputPanel> CONTROLE DE PROJETOS </p:outputPanel>
		</ui:define>

   <ui:define name="conteudo"> 
          
        <p:messages class="mensagens-erro"/> 
    
          
          <h:form>
            <p:fieldset legend="CADASTRO DE PROJETO">
         <h:panelGrid columns="2">
          <p:outputLabel value="NOME DO PROJETO:" for="nome" />
          <p:inputText id="nome" value="#{projetoBean.projeto.nome}" required="true"
                             requiredMessage="Nome do projeto é obrigatório!!!"
                             validatorMessage="Nome não pode ser superior a 40">
                    <f:validateLength maximum="40" />
            </p:inputText>
                                              
             <p:outputLabel value="STATUS DO PROJETO:" for="status" />
             <p:inputText id="status" value="#{projetoBean.projeto.status}" required="true" 
                 requiredMessage="Status do projeto é obrigatório!!!">
             </p:inputText> 
              <p:outputLabel value="PRIORIDADE DO PROJETO:" for="status" />
             <p:inputText id="prioridade" value="#{projetoBean.projeto.prioridade}" required="true" 
                 requiredMessage="Prioridade do projeto é obrigatória!!!">
             </p:inputText> 
             <h:commandButton id="criarNovoProjeto" value="ADICIONAR" action="#{projetoBean.criarNovoProjeto()}">
             </h:commandButton>
                </h:panelGrid>
            </p:fieldset>
              
        </h:form>
 
 
        
        
 <f:view>
 <h:form >
         <h1><h:outputText value="PROJETOS CADASTRADOS"/></h1>
         <p:dataTable id="tabelaProjetos" value="#{projetoBean.listaProjetos()}" var="item">
              <f:facet name="header">PROJETOS CADASTRADOS</f:facet>
             <p:column headerText="ID">
                 <h:outputText value="#{item.id_projeto}"/>
             </p:column>
              <p:column headerText="NOME">
                 <h:outputText value="#{item.nome}"/>
             </p:column>
              <p:column headerText="STATUS">
                 <h:outputText value="#{item.status}"/>
             </p:column>
              <p:column headerText="PRIORIDADE" >
                 <h:outputText value="#{item.prioridade}"/>
             </p:column>
         </p:dataTable>
     </h:form>
 </f:view>


 
 
   </ui:define>
   
   </ui:composition>

</html>